Bug 53835 - v4l-conf should be suid root, is not
v4l-conf should be suid root, is not
Product: Red Hat Powertools
Classification: Retired
Component: xawtv (Show other bugs)
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-09-19 14:03 EDT by Robert M. Riches Jr.
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-09-22 04:50:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert M. Riches Jr. 2001-09-19 14:03:49 EDT
Description of Problem:
/usr/sbin/v4l-conf, provided by xawtv-3.34-1 on the
Powertools CD, should be suid root.  Attempting to
run xawtv without manually doing this produces an
error message from v4l-conf that it needs to be
suid root.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. install xawtv-3.34-1 from the Powertools CD
2. xawtv

Actual Results:
error message from v4l-conf that it needs to be suid root

Expected Results:
xawtv should work

Additional Information:
After manually setting the suid bit, xawtv works great.

(Apologies for the probable wrong component name.  Xawtv is
in its own RPM, I couldn't find a component that appeared to
be correct, and bugzilla wouldn't accept a report without
some legal component selected.)
Comment 1 Mike A. Harris 2001-09-22 04:49:10 EDT
You need to reassign this to 'powertools' not Red Hat Linux, xawtv is
a component of powertools.
Comment 2 Ngo Than 2001-09-22 05:49:33 EDT
It's fixed in xawtv-3.62-1. You will fint it in next rawhide release.

Note You need to log in before you can comment on or make changes to this bug.